summaryrefslogtreecommitdiff
path: root/x11-themes/elementary-icon-theme
diff options
context:
space:
mode:
Diffstat (limited to 'x11-themes/elementary-icon-theme')
-rw-r--r--x11-themes/elementary-icon-theme/Manifest3
-rw-r--r--x11-themes/elementary-icon-theme/elementary-icon-theme-2.7.1-r1.ebuild107
2 files changed, 110 insertions, 0 deletions
diff --git a/x11-themes/elementary-icon-theme/Manifest b/x11-themes/elementary-icon-theme/Manifest
new file mode 100644
index 00000000..b67fc209
--- /dev/null
+++ b/x11-themes/elementary-icon-theme/Manifest
@@ -0,0 +1,3 @@
+DIST elementary-icon-theme-2.7.1.tar.gz 4100761 SHA256 4cfe73d9da3f6262a724bd787126dcbf0957b107e3f36d22a0baf60fef7706e6 SHA512 55af14b171756f2e8ba6b5a9956eb28bbe9bae3ac15acbd0088e177077b84f10efc30d4c5cb5508829f67dc924654f52a5a758f9b4fd455c9baa01bd997ce84c WHIRLPOOL 60ab35db6022050342aa2102315e30e54ab455f3efcf8cf925ab8b400f5100228ee7f95fbc4f70f6c12b7414eb0ea0f4fa88f4ccb9a3b4282601f2b42aa585e3
+DIST fdo-icons-rogentos1.tar.gz 507041 SHA256 5ff12b6861abd002e95777a43fb71afb56024ba4684e0a212a990ad8aa1a428d SHA512 3b95d5116984ef802d4ad12cba856096f5f481216a42fe09334929d338179a7d55a15754aa8e20dca08c6fdb19ad096e96d24b9e7dd5198b0d93eb379f3e3d3d WHIRLPOOL a66b53dcb3888c5896da05a5abaf8f0295fd8b28a4ce23d0a972ea5705dad89d2c14d48eddafe5b7ea291934ba217f8fee1b0f1d4ed7f6b77579cb96dfddc98b
+EBUILD elementary-icon-theme-2.7.1-r1.ebuild 3267 SHA256 64ecd7dbb493ed64520f09e817b0e69ee3598b92458fa3dd5dcc960a29924fc2 SHA512 7d57e98d3e46ca7490bb065eba09f73171616291fcde0c837f94acabf6af9fb65371e59e701fd3f8606d6336e28965c5d4d560241463593369fbe9c96564a401 WHIRLPOOL e1942da924372d48ae63b53ca75451cc6c11d9650ab5a80e707eb5874c09a09b1f9cf93536e8c316c09945b8c60763e18e96f02a7a331592d87e2a0556c3e6c1
diff --git a/x11-themes/elementary-icon-theme/elementary-icon-theme-2.7.1-r1.ebuild b/x11-themes/elementary-icon-theme/elementary-icon-theme-2.7.1-r1.ebuild
new file mode 100644
index 00000000..9bcfecea
--- /dev/null
+++ b/x11-themes/elementary-icon-theme/elementary-icon-theme-2.7.1-r1.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+SLREV=1
+inherit gnome2-utils
+
+DESCRIPTION="Elementary gnome icon theme"
+HOMEPAGE="https://launchpad.net/elementaryicons"
+SRC_URI="http://launchpad.net/elementaryicons/2.0/${PV}/+download/${P}.tar.gz
+ http://pkg.rogentos.ro/~rogentos/distro/${CATEGORY}/fdo-icons-rogentos1.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="monochrome branding"
+
+DEPEND=""
+RDEPEND=""
+RESTRICT="binchecks strip"
+
+src_install() {
+ cd "${WORKDIR}/${PN}"
+ dodoc elementary/{AUTHORS,CONTRIBUTORS} || die
+ use monochrome && { newdoc elementary-mono-dark/AUTHORS AUTHORS.mono-dark || die; }
+ rm elementary/{AUTHORS,CONTRIBUTORS,COPYING}
+ rm elementary-mono-dark/{AUTHORS,COPYING}
+
+ insinto /usr/share/icons
+ doins -r elementary || die
+ use monochrome && { doins -r elementary-mono-dark || die; }
+
+ # this icon theme uses different layout
+ # so let's do some blah here
+ local base_dir icon_dir dest_icon_dir myfile
+
+ cd "${WORKDIR}"
+ # Rogentos nice stuff
+ for base_dir in fdo-icons-rogentos/*; do
+ [[ -d ${base_dir} ]] || \
+ die "error, ${base_dir} doesn't exist or is not a directory"
+ icon_dir=$(basename "${base_dir}") # example: 128x128
+ dest_icon_dir=${icon_dir}
+ [[ ${icon_dir} != scalable ]] && \
+ dest_icon_dir=${icon_dir/x*} # leave number like "128"
+
+ # under ${base_dir} we have emblems/ and places/
+ [[ -d ${base_dir}/emblems ]] || \
+ die "error, ${base_dir}/emblems doesn't exist or is not a directory"
+ [[ -d ${base_dir}/places ]] || \
+ die "error, ${base_dir}/places doesn't exist or is not a directory"
+
+ # emblems
+ for myfile in "${base_dir}"/emblems/*; do
+ insinto /usr/share/icons/elementary/emblems/"${dest_icon_dir}"
+ doins "${myfile}" || die "can't copy ${myfile}!"
+ if use monochrome; then
+ insinto /usr/share/icons/elementary-mono-dark/emblems/"${dest_icon_dir}"
+ doins "${myfile}" || die "can't copy ${myfile}! (2)"
+ fi
+ done
+
+ # places
+ for myfile in "${base_dir}"/places/*; do
+ insinto /usr/share/icons/elementary/places/"${dest_icon_dir}"
+ doins "${myfile}" || die "can't copy ${myfile}!"
+ dist_logo_symlink \
+ "${myfile}" \
+ "${ED}"usr/share/icons/elementary/places/"${dest_icon_dir}"
+ if use monochrome; then
+ insinto /usr/share/icons/elementary-mono-dark/places/"${dest_icon_dir}"
+ doins "${myfile}" || die "can't copy ${myfile}! (2)"
+ dist_logo_symlink \
+ "${myfile}" \
+ "${ED}"usr/share/icons/elementary-mono-dark/places/"${dest_icon_dir}"
+ fi
+ done
+ done
+}
+
+# create symbolic link distributor-logo.{png,…} -> start-here.{png,…}
+dist_logo_symlink() {
+ local path=$1 # example: /path/start-here.png
+ local dest_dir=$2
+ local filename=${path##*/}
+ [[ $filename = start-here.* ]] || return
+ local ext=${filename##*.}
+ [[ -z $ext ]] && return
+ # remove files like elementary/places/48/distributor-logo.svg
+ rm -f "${dest_dir}"/distributor-logo.*
+ ln -s "start-here.${ext}" "${dest_dir}/distributor-logo.${ext}" \
+ || die "the command ln -s \"start-here.${ext}\" \"${dest_dir}/distributor-logo.${ext}\" failed!"
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}